automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {test-protocols} coverage: non-directive comments in TAP results a


From: Stefano Lattarini
Subject: [FYI] {test-protocols} coverage: non-directive comments in TAP results are preserved
Date: Sun, 21 Aug 2011 11:03:54 +0200

* tests/tap-result-comment.test: New test.
* tests/Makefile.am (tap_with_common_setup_tests): Update.
---
 ChangeLog                     |    6 ++++
 tests/Makefile.am             |    1 +
 tests/Makefile.in             |    1 +
 tests/tap-result-comment.test |   54 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 62 insertions(+), 0 deletions(-)
 create mode 100755 tests/tap-result-comment.test

diff --git a/ChangeLog b/ChangeLog
index 23a7ba2..f5d19e3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2011-08-21  Stefano Lattarini  <address@hidden>
+
+       coverage: non-directive comments in TAP results are preserved
+       * tests/tap-result-comment.test: New test.
+       * tests/Makefile.am (tap_with_common_setup_tests): Update.
+
 2011-08-20  Stefano Lattarini  <address@hidden>
 
        coverage: TAP result number followed by non-whitespace word boundary
diff --git a/tests/Makefile.am b/tests/Makefile.am
index c1ab765..741720c 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -1201,6 +1201,7 @@ tap-planskip-later-errors.test \
 tap-realtime.test \
 tap-test-number-0.test \
 tap-recheck-logs.test \
+tap-result-comment.test \
 tap-todo-skip-together.test \
 tap-todo-skip-whitespace.test \
 tap-todo-skip.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 3ad24a0..9b0de27 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1442,6 +1442,7 @@ tap-planskip-later-errors.test \
 tap-realtime.test \
 tap-test-number-0.test \
 tap-recheck-logs.test \
+tap-result-comment.test \
 tap-todo-skip-together.test \
 tap-todo-skip-whitespace.test \
 tap-todo-skip.test \
diff --git a/tests/tap-result-comment.test b/tests/tap-result-comment.test
new file mode 100755
index 0000000..0cfee01
--- /dev/null
+++ b/tests/tap-result-comment.test
@@ -0,0 +1,54 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# TAP support:
+#  - non-directive comments in TAP results are kept verbatim
+
+parallel_tests=yes
+. ./defs || Exit 1
+
+. "$testsrcdir"/tap-setup.sh || fatal_ "sourcing tap-setup.sh"
+
+cat > all.test <<END
+1..5
+ok 1 # TDO
+not ok 2 # SKP
+ok #SIKP${tab}${sp}
+not ok #    TOD${tab}
+ok 5 # ${tab}${tab}TOOD${tab}${sp}${sp}
+END
+
+$MAKE check >stdout && { cat stdout; Exit 1; }
+cat stdout
+
+count_test_results total=5 pass=3 fail=2 xpass=0 xfail=0 skip=0 error=0
+
+# Don't be too strict about trailing white space.
+$FGREP ': all.test' stdout | sed "s/[$sp$tab]*$//" > got
+
+cat > exp <<END
+PASS: all.test 1 # TDO
+FAIL: all.test 2 # SKP
+PASS: all.test 3 #SIKP
+FAIL: all.test 4 #    TOD
+PASS: all.test 5 # ${tab}${tab}TOOD
+END
+
+cat exp
+cat got
+diff exp got
+
+:
-- 
1.7.2.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]